#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D u_texture;
varying vec2 v_texCoords;

void main() {
    vec2 texCoord = v_texCoords.xy;
    vec2 center = vec2(0.5, 0.5);
    float radius = 0.5;

    float distance = length(texCoord - center);
    float alpha = 1.0 - smoothstep(radius, radius + 0.01, distance);
    gl_FragColor = texture2D(u_texture, texCoord) * alpha;
}